


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: SetGlobalRoleCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: SetGlobalRoleCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">SetGlobalRoleCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 17)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.entity.GlobalRole;
<i>6</i>&nbsp;import com.dema.timeregistration.service.AdministratorService;
<i>7</i>&nbsp;import com.dema.timeregistration.service.UserService;
<i>8</i>&nbsp;
<i>9</i>&nbsp;import java.util.Set;
<i>10</i>&nbsp;
<i>11</i>&nbsp;public class SetGlobalRoleCommand implements Command {
<i>12</i>&nbsp;    private final AdministratorService administratorService;
<i>13</i>&nbsp;    private final UserService userService;
<i>14</i>&nbsp;    private final ApplicationContext applicationContext;
<i>15</i>&nbsp;
<b class="nc"><i>16</i>&nbsp;    public SetGlobalRoleCommand(AdministratorService administratorService, UserService userService, ApplicationContext applicationContext) {</b>
<b class="nc"><i>17</i>&nbsp;        this.administratorService = administratorService;</b>
<b class="nc"><i>18</i>&nbsp;        this.userService = userService;</b>
<b class="nc"><i>19</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>20</i>&nbsp;    }</b>
<i>21</i>&nbsp;
<i>22</i>&nbsp;    @Override
<i>23</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>24</i>&nbsp;        return &quot;Change the global role of a user using parameters:\n-e for email\n-r for role\nThe available &quot; +</b>
<i>25</i>&nbsp;                &quot;global roles are:\n\&quot;GLOBAL_ADMINISTRATOR\&quot;\n\&quot;GLOBAL_USER\&quot;\nExample of usage:\n&quot; +
<i>26</i>&nbsp;                &quot;set-global-role -e \&quot;daniel@kuzin.dk\&quot; -r \&quot;GLOBAL_ADMINISTRATOR\&quot;\nthis command is only permitted&quot; +
<i>27</i>&nbsp;                &quot; to users with the \&quot;GLOBAL_ADMINISTRATOR\&quot; role&quot;;
<i>28</i>&nbsp;    }
<i>29</i>&nbsp;
<i>30</i>&nbsp;    @Override
<i>31</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>32</i>&nbsp;        return &quot;set-global-role&quot;;</b>
<i>33</i>&nbsp;    }
<i>34</i>&nbsp;
<i>35</i>&nbsp;    @Override
<i>36</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>37</i>&nbsp;        return CommandGroup.ADMIN;</b>
<i>38</i>&nbsp;    }
<i>39</i>&nbsp;
<i>40</i>&nbsp;    @Override
<i>41</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>42</i>&nbsp;        return Utils.newHashSet(</b>
<i>43</i>&nbsp;                new Parameter(&quot;e&quot;),
<i>44</i>&nbsp;                new Parameter(&quot;r&quot;)
<i>45</i>&nbsp;        );
<i>46</i>&nbsp;    }
<i>47</i>&nbsp;
<i>48</i>&nbsp;    @Override
<i>49</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>50</i>&nbsp;        int userId = userService.getUserId(parsedCommand.get(&quot;e&quot;));</b>
<i>51</i>&nbsp;
<i>52</i>&nbsp;        GlobalRole globalRole;
<i>53</i>&nbsp;
<i>54</i>&nbsp;        try {
<b class="nc"><i>55</i>&nbsp;            globalRole = GlobalRole.valueOf(parsedCommand.get(&quot;r&quot;));</b>
<b class="nc"><i>56</i>&nbsp;        } catch (IllegalArgumentException e) {</b>
<b class="nc"><i>57</i>&nbsp;            throw new IllegalArgumentException(&quot;The global role &#39;&quot; + parsedCommand.get(&quot;r&quot;) + &quot;&#39; does not exist&quot;);</b>
<b class="nc"><i>58</i>&nbsp;        }</b>
<i>59</i>&nbsp;
<b class="nc"><i>60</i>&nbsp;        administratorService.setGlobalRole(userId, globalRole, applicationContext.getUserContextOrThrow());</b>
<i>61</i>&nbsp;
<b class="nc"><i>62</i>&nbsp;        System.out.println(&quot;User with email &#39;&quot; + parsedCommand.get(&quot;e&quot;) + &quot;&#39; has recieved role with name &#39;&quot; + parsedCommand.get(&quot;r&quot;) + &quot;&#39;&quot;);</b>
<b class="nc"><i>63</i>&nbsp;    }</b>
<i>64</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
